$( document ).ready(function() {
	
 $("input[type='text']")
	function Styles(){
	if (!$('#checkbox1').attr('checked')) {
		$('#enable_pages input').css({
			background: 'rgba(255, 255, 255, 0.5)',
			color: 'rgba(0, 0, 0, 0.25)'
		});
		$('#enable_pages select').css({
			background: 'rgba(255, 255, 255, 0.5)',
			color: 'rgba(0, 0, 0, 0.25)'
		});
		$('#enable_pages label').css('color', 'rgba(0, 0, 0, 0.25)');
		$('#enable_pages table td, #enable_pages table tr').css('color', 'rgba(0, 0, 0, 0.25)');
	}
	else{
		$('#enable_pages input').css({
			background: 'rgb(255, 255, 255)',
			color: 'inherit'
		});
			$('#enable_pages label').css('color', 'rgb(0, 0, 0)');
			$('#enable_pages select').css({
			background: 'rgb(255, 255, 255)',
			color: 'rgb(0, 0, 0)'
		});
			$('#enable_pages table td, #enable_pages table tr').css('color', 'rgb(0, 0, 0)');
		}
	}
	Styles();
	
	$('#checkbox1').change(function(event) {
		Styles();
	
		$.post(document.location.href, {enab: '1' , enable: $('#checkbox1').attr('checked')}, function(data, textStatus, xhr) {
			//alert(data);
		});
	});
});

